package com.landray.kmss.sys.attachment.service.spring;

import com.landray.kmss.sys.attachment.util.SysAttViewerUtil;
import javax.servlet.http.HttpServletRequest;
import org.slf4j.LoggerFactory;
import org.json.simple.JSONObject;
import org.slf4j.Logger;

public class SysAttMainWaterInfoBuilder
{
    private static final Logger logger;
    JSONObject waterMarkInfo;
    
    static {
        logger = LoggerFactory.getLogger(SysAttMainWaterInfoBuilder.class);
    }
    
    public SysAttMainWaterInfoBuilder() {
        this.waterMarkInfo = new JSONObject();
    }
    
    public SysAttMainWaterInfoBuilder addBaseData(final net.sf.json.JSONObject watermarkCfg) {
        this.waterMarkInfo.put((Object)"showWaterMark", watermarkCfg.get("showWaterMark"));
        this.waterMarkInfo.put((Object)"markType", watermarkCfg.get("markType"));
        return this;
    }
    
    public SysAttMainWaterInfoBuilder addWordWaterData(final HttpServletRequest request, final net.sf.json.JSONObject watermarkCfg, final Boolean wordWater) {
        if (wordWater) {
            final String waterText = SysAttViewerUtil.getVarMarkWord(watermarkCfg.getString("markWordVar"), request);
            this.waterMarkInfo.put((Object)"waterText", (Object)waterText);
            this.waterMarkInfo.put((Object)"markWordFontFamily", watermarkCfg.get("markWordFontFamily"));
            this.waterMarkInfo.put((Object)"markWordFontColor", watermarkCfg.get("markWordFontColor"));
            this.waterMarkInfo.put((Object)"markWordFontSize", watermarkCfg.get("markWordFontSize"));
            this.waterMarkInfo.put((Object)"markOpacity", watermarkCfg.get("markOpacity"));
        }
        return this;
    }
    
    public SysAttMainWaterInfoBuilder addPictureWaterData(final HttpServletRequest request, final net.sf.json.JSONObject watermarkCfg, final Boolean pictureWater) {
        if (pictureWater) {
            this.waterMarkInfo.put((Object)"picUrl", (Object)(String.valueOf(request.getContextPath()) + "/sys/attachment/sys_att_watermark/sysAttWaterMark.do?method=getWaterMarkPNG"));
            this.waterMarkInfo.put((Object)"markRotateAngel", watermarkCfg.get("markRotateAngel"));
            this.waterMarkInfo.put((Object)"markOpacity", watermarkCfg.get("markOpacity"));
        }
        return this;
    }
    
    public JSONObject build() {
        if (SysAttMainWaterInfoBuilder.logger.isDebugEnabled()) {
            SysAttMainWaterInfoBuilder.logger.debug("水印信息：{}", this.waterMarkInfo.toString().replaceAll("\"", "'"));
        }
        return this.waterMarkInfo;
    }
}
